Create a leave request
curl --request POST \
--url https://api.plane.com/v1/leave-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"worker": "<string>",
"type": "<string>",
"dates": [
{}
],
"note": "<string>"
}
'import requests
url = "https://api.plane.com/v1/leave-requests"
payload = {
"worker": "<string>",
"type": "<string>",
"dates": [{}],
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({worker: '<string>', type: '<string>', dates: [{}], note: '<string>'})
};
fetch('https://api.plane.com/v1/leave-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Leave Requests
Create a leave request
Create a leave request for a worker.
POST
/
v1
/
leave-requests
Create a leave request
Parameters
string
required
ID of the worker the request belongs to.
string
required
Leave type for the request.
array
required
List of ISO 8601 leave dates covered by the request.
string
Optional worker note for the leave.
This endpoint always creates a submitted request. Use
Approve a leave request or
Decline a leave request to decide it
later. If time off is already approved and should affect balances
immediately, use Create a leave.
Returns
Returns the created Leave Request object.Was this page helpful?
⌘I